Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000329KdenliveUser Interfacepublic2008-11-09 16:502008-11-12 22:22
Reporterdoitux 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target VersionFixed in Version0.7.0 
Summary0000329: cannot select project file in "open"-dialog --> No "*.kdenlive" filter
DescriptionIn current svn rev 2641 i cannot open a *.kdenlive file in "open" dialog because the *.kdenlive filter is not set and also *.* files will not be shown.

But the file is there as you can see on screenshot.
TagsNo tags attached.
Build/Install Method
Attached Filespng file icon openprojectfile.png [^] (84,883 bytes) 2008-11-09 16:50

- Relationships
parent of 0000285closed kdenlive saves empty project files 
related to 0000327closedGranjow Add clip file dialogue filter missing *.flv 

-  Notes
(0000976)
madsdyd (administrator)
2008-11-09 17:41

I have a similar problem, the extension is gone.

However, I am able to write *.kdenlive and then just open any .kdenlive fil

Same situation for both kubuntu 8.04/kde3/kde 4.1.2 and 8.10/kde4/4.1.2

I think perhaps jb runs 4.2.x

What are you running?
(0000977)
doitux (updater)
2008-11-09 17:46
edited on: 2008-11-09 17:47

I have KDE-4.1.3-52.2 on OpenSuSE 11.0.

I have no filter available. Also *.* isnt there. Only directories are shown.

(0000978)
cinephiliac (updater)
2008-11-09 18:30

Same here, Kubuntu 8.10 with KDE 4.1.3. I have a laptop running 4.2.X (KDE nightly) so if it's useful I can build Kdenlive on there and see if we get a different result.
(0000980)
doitux (updater)
2008-11-09 20:07

cinephiliac: yes that would be great if you could test kde-4.2.x
(0001000)
madsdyd (administrator)
2008-11-10 00:34

OK, I think I found the code that opens this dialog:

 KUrl url = KFileDialog::getOpenUrl(KUrl(), "application/x-kdenlive");

It appears we all lack this mime type. There is a file in src/mimetypes/kdenlive.xml, that may have to be installed. My guess is that we have all installed to a non-standard place (not /usr or /usr/local).
(0001001)
cinephiliac (updater)
2008-11-10 00:41

That's correct in my case. I'm in ~/Apps/Kdenlive. Doitux is this accurate for you as well?
(0001018)
ddennedy (developer)
2008-11-10 04:31

Same here. I installed to prefix $HOME/opt.
I added $HOME/opt/share to my XDG_DATA_DIRS path.
Then, I ran 'update-mime-database $HOME/opt/share/mime'.
However, I still do not see anything in the file open dialog.
(0001020)
ddennedy (developer)
2008-11-10 05:05

I wonder if KDE needs to see this change to XDG_DATA_DIRS instead of just kdenlive.
(0001021)
ddennedy (developer)
2008-11-10 05:07

But perhaps relying upon proper shared-mime-info setup, we need at least a filter to see all files instead of users needing to know to give the filter field focus and/or clearing it and pressing Enter to see all files.
(0001144)
madsdyd (administrator)
2008-11-12 11:06

Svn rev 2691 contains a fix to support *.kdenlive, when the mime type is not found. Tested - closing bug.

- Issue History
Date Modified Username Field Change
2008-11-09 16:50 doitux New Issue
2008-11-09 16:50 doitux File Added: openprojectfile.png
2008-11-09 17:41 madsdyd Note Added: 0000976
2008-11-09 17:41 madsdyd Status new => feedback
2008-11-09 17:46 doitux Note Added: 0000977
2008-11-09 17:47 doitux Note Edited: 0000977
2008-11-09 18:30 cinephiliac Note Added: 0000978
2008-11-09 20:07 doitux Note Added: 0000980
2008-11-10 00:34 madsdyd Note Added: 0001000
2008-11-10 00:41 cinephiliac Note Added: 0001001
2008-11-10 04:31 ddennedy Note Added: 0001018
2008-11-10 05:05 ddennedy Note Added: 0001020
2008-11-10 05:07 ddennedy Note Added: 0001021
2008-11-10 09:12 madsdyd Relationship added related to 0000327
2008-11-11 01:10 madsdyd Relationship added parent of 0000285
2008-11-12 11:06 madsdyd Note Added: 0001144
2008-11-12 11:06 madsdyd Status feedback => closed
2008-11-12 11:06 madsdyd Resolution open => fixed
2008-11-12 11:06 madsdyd Fixed in Version => Recent git
2008-11-12 22:22 madsdyd Fixed in Version Recent git => 0.7.0


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker